.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.de URL
\\$2 \(laURL: \\$1 \(ra\\$3
..
.if \n[.g] .mso www.tmac
.TH AXIOMATIC 1 "24 January 2008"
.SH NAME
axiomatic \- command-line tool for creating, configuring, and inspecting an axiom database
.SH SYNOPSIS
.B axiomatic
.RI [ options ]
.RI [ command ]
.SH DESCRIPTION
This manual page documents briefly the
.B axiomatic
command.
.PP
.B axiomatic
allows creation, configuration and interaction with an axiom database.
The most commonly used subcommands are \fBstart\fP, \fBstop\fP and
\fBstatus\fP.
.br
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long options
starting with two dashes (`\-').
A summary of options is included below.
.TP
.B \-b, \-\-debug
Enable Axiom-level debug logging.
.TP
.B \-d, \-\-dbdir=
Path containing axiom database to configure/create.
.TP
.B \-\-version
Show version of program.
.TP
.B \-\-help
Display help.
.SH COMMANDS
Except when using \-\-version and \-\-help, you need to specify one command.
The possible commands are included below.
Note that axiomatic has an extensible plugin system, so the exact list of
commands will differ depending on what axiomatic plugins are available.
.TP
.B start
Launch the given Axiom database.
.TP
.B stop
Stop the server running from the given Axiom database.
.TP
.B status
Report whether a server is running from the given Axiom database.
.TP
.B insert\-user
Insert a user store, such as one extracted with 
.B extract\-user,
into a site store and login system.
.TP
.B userbase
LoginSystem introspection and manipulation.
.TP
.B extract\-user
Remove an account from the login system, moving its associated database to the
filesystem.
.TP
.B browse
Interact with an Axiom store.
.SH SEE ALSO
.URL "http://divmod.org/trac/wiki/DivmodAxiom" "Axiom homepage"
.SH AUTHOR
axiomatic is part of Axiom, an object database, or alternatively, an
object-relational mapper written by Divmod.
.PP
This manual page was written by Vincent Bernat <bernat@luffy.cx>,
for the Debian project (but may be used by others).
